com.sun.opengl.util.texture

## Class TextureCoords

- java.lang.Object
- - com.sun.opengl.util.texture.TextureCoords

    public class TextureCoords
    extends Object

Specifies texture coordinates for a rectangular area of a texture. Note that some textures are inherently flipped vertically from OpenGL's standard coordinate system. This class takes care of this vertical flip so that the "bottom" and "top" coordinates may sometimes be reversed. From the point of view of code rendering textured polygons, it can always map the bottom and left texture coordinates from the TextureCoords to the lower left point of the textured polygon and achieve correct results.

### Constructor Summary

Constructors
Constructor and Description
`TextureCoords(float left, float bottom, float right, float top)`

### Method Summary

Methods
`float` `bottom()` Returns the bottommost (y) texture coordinate of this rectangle.
`float` `left()` Returns the leftmost (x) texture coordinate of this rectangle.
`float` `right()` Returns the rightmost (x) texture coordinate of this rectangle.
`float` `top()` Returns the topmost (y) texture coordinate of this rectangle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextureCoords

    public TextureCoords(float left,
                 float bottom,
                 float right,
                 float top)

### Method Detail

#### left

    public float left()

Returns the leftmost (x) texture coordinate of this rectangle.

#### right

    public float right()

Returns the rightmost (x) texture coordinate of this rectangle.

#### bottom

    public float bottom()

Returns the bottommost (y) texture coordinate of this rectangle.

#### top

    public float top()

Returns the topmost (y) texture coordinate of this rectangle.